Loading...
Searching...
No Matches
regularData1D.h File Reference
`#include <BALL/common.h>`
`#include <BALL/SYSTEM/file.h>`
`#include <BALL/SYSTEM/binaryFileAdaptor.h>`
`#include <vector>`
`#include <iostream>`
`#include <fstream>`
`#include <iterator>`
`#include <algorithm>`
`#include <cmath>`

Go to the source code of this file.

## Classes

class | BALL::TRegularData1D< ValueType >
struct | BALL::TRegularData1D< ValueType >::BlockValueType
| The block data type for reading and writing binary data. More...

## Namespaces

namespace | BALL

## Typedefs

typedef TRegularData1D< float > | BALL::RegularData1D

## Functions

Stream I/O
template<typename ValueType>
std::ostream & | BALL::operator<< (std::ostream &os, const TRegularData1D< ValueType > &data)
| Output operator.
template<typename ValueType>
std::istream & | BALL::operator>> (std::istream &is, TRegularData1D< ValueType > &grid)
| Input operator.